# norootforbuild

%define jobs $(( `/usr/bin/getconf _NPROCESSORS_ONLN` + 1 ))

Name:           adeona
Version:        0.2.1
Release:        7.3.olea1
License:        GPL v2
Group:          Productivity/Security
Url:            http://adeona.cs.washington.edu
Source0:        %{name}-%{version}.tar.bz2
Source1:	Readme.SuSE
Source2:	adeona.init.d
Patch:		Makefile-CFLAGS-0.2.1.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	openssl-devel
Requires:	anacron net-tools
Summary:        Open Source system for tracking the location of your lost or stolen laptop

%description
Adeona is the first Open Source system for tracking the location of your lost or stolen laptop that does not rely on a proprietary, central service. This means that you can install Adeona on your laptop and go — there's no need to rely on a single third party. What's more, Adeona addresses a critical privacy goal different from existing commercial offerings. It is privacy-preserving. This means that no one besides the owner (or an agent of the owner's choosing) can use Adeona to track a laptop. Unlike other systems, users of Adeona can rest assured that no one can abuse the system in order to track where they use their laptop.

Adeona is designed to use the Open Source OpenDHT distributed storage service to store location updates sent by a small software client installed on an owner's laptop. The client continually monitors the current location of the laptop, gathering information (such as IP addresses and local network topology) that can be used to identify its current location. The client then uses strong cryptographic mechanisms to not only encrypt the location data, but also ensure that the ciphertexts stored within OpenDHT are anonymous and unlinkable. At the same time, it is easy for an owner to retrieve location information. 


%prep
%setup -qn %{name}
%patch -p1
%__cp %{S:1} .
%__cp %{S:2} .

%build
%configure
%__make #%{?jobs:-j%jobs}

%install
%__install -Dm 0750 adeona-init.exe %{buildroot}%{_sbindir}/adeona-init
%__install -Dm 0750 adeona-client.exe %{buildroot}%{_sbindir}/adeona-client
%__install -Dm 0750 adeona-retrieve.exe %{buildroot}%{_sbindir}/adeona-retrieve
%__install -Dm 0640 resources/gateways.adeona %{buildroot}%{_datadir}/%{name}/gateways.adeona
%__install -Dm 0640 resources/landmarks.adeona %{buildroot}%{_datadir}/%{name}/landmarks.adeona
%__install -Dm 0640 resources/options.adeona %{buildroot}%{_datadir}/%{name}/options.adeona
%__install -dm 0700 %{buildroot}%{_localstatedir}/lib/%{name}
%__install -dm 0700 %{buildroot}%{_localstatedir}/log/%{name}
%__install -Dm 0750 adeona.init.d %{buildroot}%{_initrddir}/adeona
%__ln_s %{_initrddir}/adeona %{buildroot}%{_sbindir}/rcadeona

%preun
if [ "$1" -eq "0" ]; then
        /sbin/service %{name} stop > /dev/null 2>&1
        /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -eq "1" ]; then
        /sbin/service %{name} condrestart > /dev/null 2>&1
fi




%clean
[[ %{buildroot} != "" && %{buildroot} != "/" ]] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Readme.txt Readme.SuSE
%{_sbindir}/adeona-init
%{_sbindir}/adeona-client
%{_sbindir}/adeona-retrieve
%{_datadir}/%{name}
%{_localstatedir}/lib/%{name}
%{_localstatedir}/log/%{name}
%{_initrddir}/adeona
%{_sbindir}/rcadeona

%changelog
* Mon Aug 18 2008 noMail@please.com
- Replaced cron entry with service
* Sun Aug 17 2008 noMail@please.com
- Initial RPM
